Debian Bug report logs - #344546
incomplete /proc/<pid>/stat breaks killall5 and ps

version graph

Package: kfreebsd-7; Maintainer for kfreebsd-7 is (unknown);

Reported by: Robert Millan <rmh@aybabtu.com>

Date: Fri, 23 Dec 2005 17:33:02 UTC

Severity: important

Merged with 521304

Fixed in version kfreebsd-7/7.3-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#344546; Package kfreebsd-5. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: incomplete /proc/<pid>/stat breaks killall5
Date: Fri, 23 Dec 2005 18:23:08 +0100
Package: kfreebsd-5
Severity: important

The fields startcode and endcode in /proc/<pid>/stat are hardcoded to "0", both
for normal processes and "kernel" processes (or whatever you want to call them).

killall5 (sysvinit) uses these values to determine wether a process belongs to
kernel.  When both startcode and endcode are 0, then it's a kernel one.  So on
GNU/kFreeBSD, it thinks _every_ process is a kernel process.

As a consequence, it won't kill anything.  So any mounted filesystems (including
the root fs) will fail to umount, causing occasional filesystem corruption.

I'm not sure how to fix this properly.  I've tried hardcoding "endcode" to
(unsigned)-1, the result being that when killall5 is called, you lost your
system.  It can be either:
  - Because it "killed" a critical kernel process.
  - Because it killed the shell I was running and/or init.

For now I'll send a patch to sysvinit maintainers asking to pass "-f" to umount.
This is not the proper fix, but I think it's reasonable to use -f anyway, just
in case.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-k7
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)



Bug reassigned from package `kfreebsd-5' to `kfreebsd-6'. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Sat, 12 Jan 2008 17:30:07 GMT) Full text and rfc822 format available.

Bug reassigned from package `kfreebsd-6' to `kfreebsd-7'. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Tue, 14 Apr 2009 08:39:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'incomplete /proc/<pid>/stat breaks killall5 and ps' from 'incomplete /proc/<pid>/stat breaks killall5' Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Tue, 02 Feb 2010 11:51:02 GMT) Full text and rfc822 format available.

Forcibly Merged 344546 521304. Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Tue, 02 Feb 2010 22:06:14 GMT) Full text and rfc822 format available.

Added indication that 344546 affects procps Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Sat, 13 Feb 2010 12:06:15 GMT) Full text and rfc822 format available.

Added indication that 344546 affects procps Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Sat, 13 Feb 2010 12:06:16 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 09 Apr 2010 20:12:10 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 10 Apr 2010 19:27:13 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. (Sat, 10 Apr 2010 19:27:13 GMT) Full text and rfc822 format available.

Message #24 received at 344546-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 344546-close@bugs.debian.org
Subject: Bug#344546: fixed in kfreebsd-7 7.3-1
Date: Sat, 10 Apr 2010 19:21:53 +0000
Source: kfreebsd-7
Source-Version: 7.3-1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-7, which is due to be installed in the Debian FTP archive:

kfreebsd-7_7.3-1.diff.gz
  to main/k/kfreebsd-7/kfreebsd-7_7.3-1.diff.gz
kfreebsd-7_7.3-1.dsc
  to main/k/kfreebsd-7/kfreebsd-7_7.3-1.dsc
kfreebsd-7_7.3.orig.tar.gz
  to main/k/kfreebsd-7/kfreebsd-7_7.3.orig.tar.gz
kfreebsd-headers-7-amd64_7.3-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-7/kfreebsd-headers-7-amd64_7.3-1_kfreebsd-amd64.deb
kfreebsd-headers-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-7/kfreebsd-headers-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
kfreebsd-headers-7.3-1_7.3-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-7/kfreebsd-headers-7.3-1_7.3-1_kfreebsd-amd64.deb
kfreebsd-image-7-amd64_7.3-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-7/kfreebsd-image-7-amd64_7.3-1_kfreebsd-amd64.deb
kfreebsd-image-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-7/kfreebsd-image-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
kfreebsd-source-7.3_7.3-1_all.deb
  to main/k/kfreebsd-7/kfreebsd-source-7.3_7.3-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 344546@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 09 Apr 2010 14:41:20 +0200
Source: kfreebsd-7
Binary: kfreebsd-source-7.3 kfreebsd-headers-7.3-1 kfreebsd-image-7.3-1-amd64 kfreebsd-image-7-amd64 kfreebsd-headers-7.3-1-amd64 kfreebsd-headers-7-amd64 kfreebsd-image-7.3-1-486 kfreebsd-image-7-486 kfreebsd-headers-7.3-1-486 kfreebsd-headers-7-486 kfreebsd-image-7.3-1-686 kfreebsd-image-7-686 kfreebsd-headers-7.3-1-686 kfreebsd-headers-7-686 kfreebsd-image-7.3-1-686-smp kfreebsd-image-7-686-smp kfreebsd-headers-7.3-1-686-smp kfreebsd-headers-7-686-smp
Architecture: source all kfreebsd-amd64
Version: 7.3-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-7-486 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-amd64 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7.3-1 - Common architecture-specific header files for kernel of FreeBSD 7
 kfreebsd-headers-7.3-1-486 - header files for kernel of FreeBSD 7.3
 kfreebsd-headers-7.3-1-686 - header files for kernel of FreeBSD 7.3
 kfreebsd-headers-7.3-1-686-smp - header files for kernel of FreeBSD 7.3
 kfreebsd-headers-7.3-1-amd64 - header files for kernel of FreeBSD 7.3
 kfreebsd-image-7-486 - kernel of FreeBSD 7 image
 kfreebsd-image-7-686 - kernel of FreeBSD 7 image
 kfreebsd-image-7-686-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64 - kernel of FreeBSD 7 image
 kfreebsd-image-7.3-1-486 - kernel of FreeBSD 7.3 image
 kfreebsd-image-7.3-1-686 - kernel of FreeBSD 7.3 image
 kfreebsd-image-7.3-1-686-smp - kernel of FreeBSD 7.3 image
 kfreebsd-image-7.3-1-amd64 - kernel of FreeBSD 7.3 image
 kfreebsd-source-7.3 - source code for kernel of FreeBSD 7.3 with Debian patches
Closes: 344546 521304
Changes: 
 kfreebsd-7 (7.3-1) unstable; urgency=low
 .
   [ Petr Salinger ]
   * New upstream version
      - 000_*.diff merged upstream
      - 010_ET_DYN.diff dropped, fixed upstream
      - 011_brandinfo.diff dropped, fixed upstream
      - 101_subsecond_timestamp.diff merged upstream
   * Merge changes from kfreebsd-8
      - Remove build kludge in favour of using libsbuf-dev.
      - Improve linprocfs. Closes: #344546, #521304.
      - Set kernel ident to kernel flavour and package version.
      - Enhance debian/copyright.
      - Add a get-orig-source target to debian/rules and
        stop using a tar in tar system.
Checksums-Sha1: 
 efcd46868fef16d65e193af7ada5ec7edd579110 1914 kfreebsd-7_7.3-1.dsc
 795d441c8fed170be4562350200f4fae67ad0390 30196071 kfreebsd-7_7.3.orig.tar.gz
 df2b3227c34f011a0674d6295a32da0ea4d3def5 68854 kfreebsd-7_7.3-1.diff.gz
 d109e96a53d9b5e6c4e9bbb75355d496cc264a15 23980910 kfreebsd-source-7.3_7.3-1_all.deb
 ad1f9f16cd14e3696313dd0ffa832daa75373889 7729852 kfreebsd-headers-7.3-1_7.3-1_kfreebsd-amd64.deb
 24b7d24fb881a2f5853e8914c4878cc7eca7e0a6 11825478 kfreebsd-image-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
 dc97a206ee9b4d1fbb9a0015d8b507830d387310 45454 kfreebsd-image-7-amd64_7.3-1_kfreebsd-amd64.deb
 3c92c3569ecc8a5652917a534c8e0bb7f6c53914 281074 kfreebsd-headers-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
 9dde2b39b3ae934c9258aa5545ebc8abceb9e5ce 45462 kfreebsd-headers-7-amd64_7.3-1_kfreebsd-amd64.deb
Checksums-Sha256: 
 43dc2524878abb6ee7dba82a4c138e68e5264cc30e5588283ad69db63e585804 1914 kfreebsd-7_7.3-1.dsc
 7b437b6c4e10b0646391ce2be3d9adeedff26ee16c820cf37c0978072238f56b 30196071 kfreebsd-7_7.3.orig.tar.gz
 b028c0fffe58e756465316679c81f53cbe9ce5414dc389c119a686e69e36ce8e 68854 kfreebsd-7_7.3-1.diff.gz
 1e1dbafb173766f2e747fab053301b6e7ccd08dd565f80a0367a02c047ca537e 23980910 kfreebsd-source-7.3_7.3-1_all.deb
 f3e85512029ba8b22c3218f4d6e26a96e409e7d50008f485c647087600f50728 7729852 kfreebsd-headers-7.3-1_7.3-1_kfreebsd-amd64.deb
 0b09ddbd5e12457f61396e8437c381fe3d6f7993bab4474d3dd61199e28727f4 11825478 kfreebsd-image-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
 0f60eb72256c2f3c5d9caa65168912009e7dd1866d0062b8dc8e03017ad31398 45454 kfreebsd-image-7-amd64_7.3-1_kfreebsd-amd64.deb
 b98b829ef1cac353ae04159137c6f2fe0341e8c3eb662dffba8c1fd9737e3b80 281074 kfreebsd-headers-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
 d2b27ab9d083d720571ef742d8efc99485571822e5dc7ec6a0c5c77343237630 45462 kfreebsd-headers-7-amd64_7.3-1_kfreebsd-amd64.deb
Files: 
 914c89655056fdbfc9a01fbc980f02b0 1914 kernel optional kfreebsd-7_7.3-1.dsc
 8c79d687b0c4e54e80e9481e7f0d0891 30196071 kernel optional kfreebsd-7_7.3.orig.tar.gz
 de47017fa923bb8800765852f8d7b195 68854 kernel optional kfreebsd-7_7.3-1.diff.gz
 316b606d5580d055d255839f6050ce94 23980910 kernel optional kfreebsd-source-7.3_7.3-1_all.deb
 5c2aa71c1f68a3e7c51ec24f7963848a 7729852 kernel optional kfreebsd-headers-7.3-1_7.3-1_kfreebsd-amd64.deb
 dd7ba61c188f7895ab5e780f97fa16bb 11825478 kernel optional kfreebsd-image-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
 18f73f02cc83be7c984d795f6360ba3d 45454 kernel optional kfreebsd-image-7-amd64_7.3-1_kfreebsd-amd64.deb
 160cf64cce901e220f18c7f6d07a2547 281074 kernel optional kfreebsd-headers-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
 b386a06a46f5a9ba9c3a5db4e968987d 45462 kernel optional kfreebsd-headers-7-amd64_7.3-1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFLv0Rjw3ao2vG823MRAkIfAJsFwnR9lTtqEw4F9PoYFY9fYRx/2QCfagU/
tLCiMfPjmgknGmakjBbYS+Y=
=G2Ho
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 10 Apr 2010 19:27:14 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Sat, 10 Apr 2010 19:27:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Sep 2010 07:30:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:45:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.